Subject: online form

From: [email-masked]
Date: Fri, 02 Sep 2016 18:42:31 +0100

On August 30, I ordered one bottle of Jungle Juice Plus Platinum with
total cost $16.95 (price after $5 discount coupon).

On August 31, I received an email from your company letting me know
that my order #52748864 had shipped.

On September 1, I received thru my bank a debit from a company listed
as "PES*GOLDENBUNNYPRODUCT BEIJING CN", for a total of $17.66.

Is this related to my order number #52748864, with additional cost for
shipping (??), or is this $17.66 not related to your company at all?

Please confer, as I am trying to understand the actual cost of my
$16.95 purchase, or if "PES*GOLDENBUNNYPRODUCT BEIJING CN" is a scam
company that got hold of my debit card number...

Thanks for your help in this.